Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.message.stream
Class VerificationKeyRequest

    java.lang.Object
      cryptix.message.stream.VerificationKeyRequest

public class VerificationKeyRequest
extends java.lang.Object

Request for the verification key callback function

Version:
  $Revision: 1.1 $
Author:
  Edwin Woudt

Constructor Summary
`VerificationKeyRequest(KeyID[] keyidhints, int retrycount, VerificationKeyReturnValue lastresult)`

Method Summary
`KeyID[]` | `getKeyIDHints()` Returns an array of key id's that could possible have signed the message or null if no such information is available.
`VerificationKeyReturnValue` | `getLastResult()` Returns the previous result, if getRetryCount() >= 1.
`int` | `getRetryCount()` Returns the number of previous calls to the callback function

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VerificationKeyRequest

    public VerificationKeyRequest(KeyID[] keyidhints,
                                  int retrycount,
                                  VerificationKeyReturnValue lastresult)

Method Detail

### getKeyIDHints

    public KeyID[] getKeyIDHints()

  Returns an array of key id's that could possible have signed the message or null if no such information is available.

### getRetryCount

    public int getRetryCount()

  Returns the number of previous calls to the callback function

### getLastResult

    public VerificationKeyReturnValue getLastResult()

  Returns the previous result, if getRetryCount() >= 1. Returns null when getRetryCount() == 1.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1999-2003 The Cryptix Foundation Ltd.